import { ClusterCreateOptions } from './cluster-create-options.js';
export declare class ClusterCreateOptionsBuilder {
    private _config?;
    private _image?;
    private _name?;
    private _retain;
    private _wait?;
    private constructor();
    static builder(): ClusterCreateOptionsBuilder;
    /**
     * Set the configuration file for the cluster.
     * @param config
     */
    config(config: string): ClusterCreateOptionsBuilder;
    /**
     * Set the Docker image to use for booting the cluster.
     * @param image
     */
    image(image: string): ClusterCreateOptionsBuilder;
    /**
     * Set the name of the cluster.
     * @param name
     */
    name(name: string): ClusterCreateOptionsBuilder;
    /**
     * Set whether to retain the cluster after deletion.
     * @param retain
     */
    retain(retain: boolean): ClusterCreateOptionsBuilder;
    /**
     * Set the wait time for the cluster to be ready.
     * @param wait
     */
    wait(wait: string): ClusterCreateOptionsBuilder;
    /**
     * Build the ClusterCreateOptions instance.
     */
    build(): ClusterCreateOptions;
    static from(options: ClusterCreateOptions): ClusterCreateOptionsBuilder;
}
